---
title: 使用VirtualBox虚拟机安装群晖7.1系统
abbrlink: 1751037144
date: 2024-04-03 11:10:00
tags:
  - NAS技术
categories: NAS从零开始
keywords:
description:
cover:
---
>VirtualBox为开源软件，较Vmware更加轻量，在此推荐使用VirtualBox来安装群晖系统。
>本文主要介绍群晖（DS920+）在VirtualBox虚拟机上的详细安装教程。 

# 下载并安装VirtualBox

到[VirtualBox官网](https://www.virtualbox.org/wiki/Downloads)下载最新版的VirtualBox，安装时如图一路下一步即可。
看到如下界面表示安装完成。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/140039.webp"/>



# 下载群晖引导

在此给出目前最新版群晖引导的[下载地址](https://oss.dreamlyn.cn/nas/黑群晖/arpl-zh_CN-1.1-beta2a.vmdk-flat.zip)。

# 添加虚拟机

如图在系统中找打合适的位置创建NAS目录，解压刚才下载的群晖引导，并将里面的内容拷贝到创建的目录。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/145132.webp"/>

打开VirtualBox，点击`新建`创建虚拟机。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/145519.webp"/>

如图，名字随便起，文件夹选择刚才创建的文件夹，类型选Linux，版本选Other Linux(64-bit)

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/150006.webp"/>

硬件部分按需选择，这里我内存设置4G，cpu4核。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/150315.webp"/>

虚拟硬盘处选择使用已有的虚拟硬盘文件。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/150742.webp"/>

在弹出的框中点击注册

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/151415.webp"/>

随后找到先前创建的目录并选择`arpl.vmdk`

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/151120.webp"/>

点击完成

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/151515.webp"/>

随后再对虚拟机进行配置，点击设置。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/152313.webp"/>

选择存储后，点击添加虚拟硬盘，这块新加的虚拟硬盘是真正安装存储群晖系统的地方，应适当大一些。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/153746.webp"/>

点击创建，选择VDI(VirtualBox磁盘映像)并点击下一步。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/152701.webp"/>

点击下一步

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/152838.webp"/>

设置磁盘大小并点击完成。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/152924.webp"/>

选中刚才创建的磁盘并点击选择。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/153109.webp"/>


点击网络，将网络连接设置成桥接模式。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/154720.webp"/>

随后点击确定并在主界面点击启动

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/153324.webp"/>

# 配置并启动引导

点击启动后，稍等片刻，在如下界面按下回车键开始对引导进行配置。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/155113.webp"/>

看到如下配置后，说明引导已正常启动。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/155426.webp"/>

我们在浏览器中输入红框框出来的地址，`192.168.31.119:7681`进入如下界面。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/155643.webp"/>

选中选择型号并回车，在转到的界面中选择DS920+

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/155737.webp"/>

随后选择版本，这里选择42661

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/163532.webp"/>

选择SN码，直接选择生成随机SN。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/160435.webp"/>

在插件中选择添加插件并添加`cpuinfo`插件

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/160047.webp"/>

插件的加载参数为空，确认

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/160126.webp"/>

随后直接选中编译引导并回车，待编译完成后选中启动并回车。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/163703.webp"/>

# 安装群晖系统

下载群晖助手并安装启动，[下载地址](https://template-mine.oss-cn-beijing.aliyuncs.com/nas/blog/synology-assistant-7.0.3-50049.exe)

如图，扫描群晖系统（期间可能需要关闭防火墙）。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/164132.webp"/>

找到DSM未安装的那个就是刚才用虚拟机安装的NAS，我们用浏览器访问对应的IP地址`http://192.168.31.119:5000/`进入如下界面,点击安装。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/164336.webp"/>

从以下链接下载DSM系统

```
https://global.synologydownload.com/download/DSM/release/7.1/42661-1/DSM_DS920%2B_42661.pat
```

点击浏览，并选择刚才下载的DSM系统，点击下一步。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/164819.webp"/>

点继续。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/164847.webp"/>

随后进入安装界面，待进度走到100％后，我们就完成了虚拟机中群晖系统的安装。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/15/164954.webp"/>






