---
title: NAS使用timymediamanager刮削海报
abbrlink: 4183537627
date: 2024-02-29 14:22:51
tags:
  - NAS技术
  - 影音系统
categories: NAS技术
keywords:
description:
cover:
---

> 很多时候，我们使用的流媒体服务不能很好的对海报进行刮削，此时可以借助第三方的tinymediamanager（后面统一称ttm）来对海报进行刮削。

我采用docker的方式来安装ttm

# 安装TTM 

首先在nas中合适的位置创建ttm文件夹，在文件夹中创建docker-compose.yml文件，文件内容如下：
```
---
version: "3"
services:
  tinymediamanager:
    image: tinymediamanager/tinymediamanager:latest
    container_name: tinymediamanager
    environment:
      - PUID=0
      - PGID=0
      - UMASK=000
    volumes:
      - ./config:/config
      - ./video:/video
    ports:
      - "4000:4000"
    restart: unless-stopped
    extra_hosts:
      - "api.themoviedb.org:13.225.103.26"
      - "api.themoviedb.org:13.35.166.108"
      - "api.themoviedb.org:13.35.166.12"
networks:
  default:
    external:
      name: docker_default
```
>注意：volumes中需要映射需要刮削的实际目录

然后在ttm目录下执行如下命令：

```
# 创建docker网络,如果已经有docker_default网络，则不需要。
docker network create -d bridge --attachable=true docker_default
# 启动npm
docker-compose up -d
# 查看启动日志
docker-compose logs -f
```
没有问题的话，就可以通过192.168.31.206:4000来进入ttm的管理界面。

# 配置TTM

按照下图的流程来对TTM进行配置

<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/143355.webp">

点击连接，如图所示一直下一步：
<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/143841.webp">

<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/143857.webp">

选择中文

<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/143935.webp">

添加电影文件夹

<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/144011.webp">

使用TMDB刮削

<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/144126.webp">

添加电视文件夹

<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/144144.webp">

选择电视刮削

<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/144210.webp">

随后便正式进入TTM的管理界面，在此可以对媒体库进行管理和刮削，还可以对电影文件进行重新整理。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/144432.webp">
