---
title: NAS双网口改桥接模式
tags:
  - 网络
  - NAS技术
categories: NAS技术
abbrlink: 3026110258
date: 2024-02-22 11:02:22
keywords:
description:
---
>当我们有两台设备需要上网（其中一台是群晖NAS），但是旁边只有一个网口时，可以采用将NAS双网口改成桥接模式来实现两台设备的网络连接。

我们将群晖的两个网络接口分别命名为接口1和接口2，具体的连接方式为，原有的网口接NAS的网络接口1，NAS的网络接口2连接另外一台设备。

# 打开Open vSwitch功能

进入群晖系统–>控制面板–>网络–>选中“局域网”–>点击“管理”，在下拉菜单中选择“Open vSwitch 设置”

<img src="https://img.dreamlyn.cn:8443/i/2024/03/01/144432.webp">

在弹出界面中选中“启用”

<img src="https://img.dreamlyn.cn:8443/i/2024/03/01/144517.webp">

# 删除ovs_eth绑定网口

开启群晖的SSH并登录，使用sudo -i获取root权限。通过ifconfig可以看到ovs_eth0和ovs_eth1，这是群晖两个默认的网桥，对应连接的接口是eth0和eth1，要确定一下哪个是连接路由器的，哪个是连接电脑的。 （以下以ovs_eth0连接路由器，ovs_eth1连接电脑为例）

<img src="https://img.dreamlyn.cn:8443/i/2024/02/26/091604.webp" >

随后输入命令删除ovs_eth1
```
ovs-vsctl del-br ovs_eth1
```

# 将eth1加入ovs_eth0网桥
使用下面的命令添加ETH1
```
ovs-vsctl add-port ovs_eth0 eth1
```
随后输入命令查看网络状态
```
ovs-vsctl show
```
<img src="https://img.dreamlyn.cn:8443/i/2024/02/26/092650.webp">


# 设置开机自动桥接
上面的的步骤配置完后，群晖重启之后还是会恢复默认网桥设置的，所以我们还得要加一个开机的计划任务让它可以每次开机自动绑定网桥。
按下图所示添加用户自定义计划脚本

<img src="https://img.dreamlyn.cn:8443/i/2024/02/26/093157.webp" >

账号选root，名称随意。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/26/093452.webp" >

在任务设置里面输入刚才的命令并点击确定

<img src="https://img.dreamlyn.cn:8443/i/2024/02/26/093556.webp" >

命令如下
```
ovs-vsctl del-br ovs_eth1
ovs-vsctl add-port ovs_eth0 eth1
```
