---
title: 威联通NAS安装旁路由
tags:
  - 网络
  - NAS技术
categories: NAS技术
abbrlink: 34692
date: 2022-02-26 11:02:22
keywords:
description:
---
>软路由的安装最好使用虚拟机，使用Docker安装的一个弊端就是无法使用旁路由来做代理。 在此也介绍虚拟机安装的方式

# 下载套件

首先要下载Virtualization Station虚拟化工作站

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/215518.webp">

# 下载OpenWRT

2023-01-06精简版[下载](https://oss.dreamlyn.cn/nas/openwrt/bleach-mini-20230106-openwrt-x86-64-generic-squashfs-combined-efi.vmdk)
2024-01-01精简版[下载](https://oss.dreamlyn.cn/nas/openwrt/bleachwrt-mini-20240101-x86-64-generic-squashfs-combined-efi.vmdk)

2023-01-06大而全版[下载](https://oss.dreamlyn.cn/nas/openwrt/bleach-plus-20230106-openwrt-x86-64-generic-squashfs-combined-efi.vmdk)
2024-01-01大而全版[下载](https://oss.dreamlyn.cn/nas/openwrt/bleachwrt-plus-20240101-x86-64-generic-squashfs-combined-efi.vmdk)


# 安装OpenWRT

打开Virtualization Station虚拟化工作站后点击右上角导入→映像转换器。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/215807.webp">

上方选择直接解压出来的 img 映像文件，下方转换后的保存为止，直接导出到目录即可。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/215837.webp">

创建虚拟机，名称输入**【openwrt】，此时下方的操作系统会自动转换为【Linux】**

描述这里可填可不填，我个人习惯将使用的 openwrt 简介填在这里，方便下面查看。

磁盘位置选择**【使用现有映像】**，选择之前转换好的的openwrt固件，点击确认。

其他没什么需要修改的，openwrt 对系统要求不高，1核1G足够了。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/215914.webp">

先不开机，在总览这里点击下方的设置按钮。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/215945.webp">

【设定】-【磁盘空间】，将磁盘界面改成 SATA，点击下方的**【套用】**

后续如果还想调整，比如加大核心内存等都可以在这里更改。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/220026.webp">

设置完成，点击开机

等个十几秒，看到小窗口的代码不动了，点击小窗口进入代码页面

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/220057.webp">

# 设置网络

输入命令修改ip地址
```
vi etc/config/network
```
VI编辑器简单实用方式：按 i 键进行修改，修改完后按Esc退出，接着输入命令 :wq ，保存刚才的修改

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/212539.webp">

之后输入service network restart命令重启网络就可以了。

待重启之后，在浏览器输入刚才修改过的IP，就可以进入Openwrt的登陆界面了，OpenWRT的默认账号密码是root:password，进入系统后可以修改密码。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/212805.webp">

# 配置OpenWRT
安装完成后，要想正常使用还需要再配置一下，找到左侧菜单 网络–>接口，选择LAN的接口进行修改

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/212917.webp">

这里主要设置IPv4地址、IPv4网关和自定义DNS服务器。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/212953.webp">

同时在下方勾选忽略此接口，来禁用OpenWRT的DHCP功能，保存并应用就可以了。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/213025.webp">

# OpenWRT常用功能
## 拨号上网
默认情况下，运营商提供的光猫是不支持DDNS和端口转发等功能的，那么我们就需要使用OpenWRT来进行拨号上网，并在里面进行DDNS和端口转发等功能。

首先来看下网络组成情况。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/213121.webp">

我们需要将光猫改成桥接模式（可以找维修师傅远程处理即可），然后在OpenWRT里进行如下操作：

点击网络–>接口–>LAN–>修改–>物理设置，取消桥接接口选项。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/213151.webp">

在网络–>接口中添加新接口，如图所示进行设置，点击提交。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/213304.webp">

修改WAN口，在基础设置中输入拨号账号和密码即可。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/213741.webp">

PC上网时，将默认网关设置成旁路由的IP地址（我这里是192.168.31.2）。

## 端口转发
点击网络–>防火墙–>端口转发来进行端口转发的设置。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/213816.webp">

## 设置DDNS
首先我们要了解DDNS的原理。

如图为PC正常上网的流程，PC根据域名到DNS服务器请求IP地址，DNS服务器根据A 记录查找IP地址并返回给PC，PC使用IP地址请求web服务。(当然这些流程对用户来说都是透明的)

了解了这个流程我们再来说DDNS，DDNS其实就是动态的调整DNS服务器中的A记录，实现的前提就是域名服务商提供API来修改域名的A记录，我们在需要使用DDNS的地方通过脚本来获取可能动态会变动的公网IP，然后通过API告诉域名服务商修改A记录。

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/214355.webp">

我以DNSPOD为例进行演示，在DNSPOD的控制台找到域名解析，并添加一条A记录，这里我设置主机记录为home，IP地址先随便填写.

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/214525.webp">

在DNSPOD的控制台点击我的账号并选择我的密钥，查看对应的SecretId和SecretKey .

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/214601.webp">

点击服务–>动态DDNS–>端口转发来进行端口转发的设置，在下方输入框输入DNSPOD并点击添加．

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/214645.webp">

勾选启用，查询主机名填写刚才添加记录的域名，DDNS服务提供商，选择dnspod.cn，域名填写刚才添加记录的域名，用户名和密码对应SecretId和SecretKey，然后点击保存并应用.

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/214726.webp">

当下图红线处出现域名和IP对应关系时，即为配置成功．

<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/214756.webp">

## 其他功能
OpenWRT是搭载在Linux系统之上的，里面的服务还有很多，比如frp内网穿透、DNS过滤器、广告过滤大师、Docker等，在此就不再一一列举了，感兴趣的可以在评论区留言共同交流．
