---
title: 将花生壳域名的服务商改为DNSPod
tags:
  - 网络
categories: NAS技术
abbrlink: 40925
date: 2022-03-21 11:02:22
keywords:
description:
---
>在服务搭建过程中，需要使用域名服务商的API，并通过API来管理域名记录，而花生壳并不提供相应的功能，因而对域名服务商进行调整，下面给出调整过程。

# 在花生壳管理端修改域名的DNS
将NS管理中的DNS修改为ninety.dnspod.net和baron.dnspod.net
注意：修改完之后，花生壳中设定的域名解析将完全失效（包括DDNS）
<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/115913.webp">
# 在DNSPod中管理域名
<img src="https://img.dreamlyn.cn:8443/i/2024/02/22/115914.webp">
如图，在面板中点击添加域名，输入域名后一路下一步即可。

# 为什么要修改域名服务商
因为我在搭建服务的过程中，需要使用traefik，traefik有个很好用的东西叫letsencrypt，他可以采用tlsChallenge、httpChallenge和dnsChallenge三种方式来自动申请HTTPS证书。

但是因为我的很多服务是在家中搭建，运营商并不开放80和443端口，导致tlsChallenge和httpChallenge两种方式无法使用 ，只能使用dnsChallenge。

我们知道dnsChallenge的验证方式，需要给域名添加一条txt记录来验证域名所有权，如果想完全自动得去申请tls证书，那么一定要使用域名服务商的API，而花生壳并不提供相应的api，导致我不得不更换服务商。
